Subject: RE: [Ips]Invalid key

From: [email-masked]
Date: Mon, 23 May 2005 10:44:08 -0600

I agree. A normal occurance of NotUnderstood would be an initiator or target that offers a private or public extension key or a key from a later standard that the other side doesn't understand. The offering device often will be willing to continue to complete the connection without the key. If the offering device isn't, then it can close the connection.

Pat

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Mike Ko
Sent: Friday, 20 May, 2005 9:58 AM
To: William Studenmund
Cc: [email-masked]; sundara senthil
Subject: Re: [Ips]Invalid key

I wouldn't jump to the conclusion that if a key is NotUnderstood, that the 
recommended course of action is to close the connection.  In iSER (iSCSI 
Extensions for RDMA), the initiator (or target) offers the key 
RDMAExtensions to determine if the target (or initiator) can operate in 
iSER mode.  If the response is NotUnderstood, then the connection remains 
in iSCSI mode.  This is not a protocol error and closing the connection in 
this case would be inappropriate.

Mike
Sent by:        [email-masked]
To:     "sundara senthil" <[email-masked]>
cc:     [email-masked] 
Subject:        Re: [Ips]Invalid key

On May 19, 2005, at 4:56 AM, sundara senthil wrote:

> Hi All,
>
>  According to the iscsi RFC 3720, mentioned in the section  5.2
>
> "Any key not understood by the acceptor may be ignored by the
> acceptor without affecting the basic function. However, the answer
> for a key not understood MUST be key=NotUnderstood."
>
> I would like to know that if initiator sends any invalid key name and
> a value
> pair to the iscsi target, should the target  ignore the key pair
> without responding or target should respond as invalid
> key=NotUnderstood.

The acceptor (the target could have made the initial offer, after all)
must reply "invalid_key-NotUnderstood".

Note however that we are assuming the unknown key came with some sort
of conceivably reasonable initial offer. If the initial offer were
something like "Reject", "Irrelevant", or "NotUnderstood", then there
is a protocol error. I'd recommend closing the connection.

Take care,

Bill

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips